<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\model;

/**
 * Description of produtos
 *
 * @author alfamidia
 */
class clientes {
    private $clientes;
    private $detalhe_cliente;
    
    private $produtos;
    private $detalhe_produto;
    private $PDO;
    private $ultimo_erro;
    
    public function Conexao() {
        try {
           $this->PDO = new \PDO("mysql:host=localhost;dbname=crm","root");
        } 
        catch (\PDOException $exc) {
            $this->ultimo_erro = "erro na conexão<br>";
            return false;
        }
        return true;
    }

    public function LerClientes() {
        
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "SELECT clientes.idClientes, clientes.nome, clientes.telefone FROM clientes";
        $i = 0;
        foreach($this->PDO->query($sql) as $row){
            $this->clientes[$i]['nome'] = $row['nome'];
            $this->clientes[$i]['telefone'] = $row['telefone'];
            $this->clientes[$i]['idClientes'] = $row['idClientes'];
            $i++;
        }
    }
    
    public function RemoverCliente($idClientes) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "DELETE FROM clientes WHERE idClientes= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idClientes);
        $retorno->execute();
        
    }
    
    
    public function LerDetalheCliente($idClientes) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "SELECT nome, telefone FROM clientes WHERE idClientes= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idClientes);
        $retorno->execute();
        $resultado = $retorno->fetch();
        $this->detalhe_cliente['nome'] = $resultado['nome'];
        $this->detalhe_cliente['telefone'] = $resultado['telefone'];
        
        return $this->detalhe_cliente;
        
    }
    
    public function AtualizarClientes($idClientes, $nome, $telefone){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $retorno = $this->PDO->prepare('UPDATE clientes '
                . 'SET nome = :nome, '
                . 'telefone= :telefone '
                . 'WHERE idClientes = :id');
        $retorno->bindParam(':nome',$nome);
        $retorno->bindParam(':telefone',$telefone);
        $retorno->bindParam(':id',$idClientes);
        $retorno->execute();
    }

    public function IncluirClientes($nome, $telefone){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        $retorno = $this->PDO->prepare('INSERT INTO clientes (nome, telefone) values (:nome, :telefone)');
        $retorno->bindParam(':nome',$nome);
        $retorno->bindParam(':telefone',$telefone);
        $this->PDO->beginTransaction();
        $retorno->execute();
        $idGerado = $this->PDO->lastInsertId();
        $this->PDO->commit();
        return $idGerado;
    }

    
    public function RetornaClientes() {
        $this->LerClientes();
        return $this->clientes;
    }
}
