<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\model;

/**
 * Description of produtos
 *
 * @author alfamidia
 */
//Novo conteudo 1 -> alterado nome da classe
class observacoes {
    //Novo conteúdo 2 -> alteradas propriedades
    private $observacoes;
    private $detalhe_observacoes;
    
    private $produtos;
    private $detalhe_produto;
    private $PDO;
    private $ultimo_erro;
    
    public function Conexao() {
        try {
           $this->PDO = new \PDO("mysql:host=localhost;dbname=crm","root");
        } 
        catch (\PDOException $exc) {
            $this->ultimo_erro = "erro na conexão<br>";
            return false;
        }
        return true;
    }

    //Novo conteúdo 4 - receber parâmetro, alterar SQL, alterar foreach para while
    public function LerObservacoes($idClientes) {
        
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "SELECT idObservacoes, titulo FROM observacoes WHERE clientes_idclientes = ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idClientes);
        $retorno->execute();
        $i = 0;
        while($resultado = $retorno->fetch()) {   
            $this->observacoes[$i]['idObservacoes'] = $resultado['idObservacoes'];
            $this->observacoes[$i]['titulo'] = $resultado['titulo'];
            $i++;
            
        }     
        

    }
    
    public function RemoverCliente($idClientes) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "DELETE FROM clientes WHERE idClientes= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idClientes);
        $retorno->execute();
        
    }
    
    
    public function LerDetalheCliente($idClientes) {
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $sql = "SELECT nome, telefone FROM clientes WHERE idClientes= ?";
        $retorno = $this->PDO->prepare($sql);
        $retorno->bindParam(1,$idClientes);
        $retorno->execute();
        $resultado = $retorno->fetch();
        $this->detalhe_cliente['nome'] = $resultado['nome'];
        $this->detalhe_cliente['telefone'] = $resultado['telefone'];
        
        return $this->detalhe_cliente;
        
    }
    
    public function AtualizarClientes($idClientes, $nome, $telefone){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        
        $retorno = $this->PDO->prepare('UPDATE clientes '
                . 'SET nome = :nome, '
                . 'telefone= :telefone '
                . 'WHERE idClientes = :id');
        $retorno->bindParam(':nome',$nome);
        $retorno->bindParam(':telefone',$telefone);
        $retorno->bindParam(':id',$idClientes);
        $retorno->execute();
    }

    public function IncluirClientes($nome, $telefone){
        if (!$this->Conexao()){
            echo "Erro de conexão<BR>";
            echo $this->ultimo_erro;
            return;
        }
        $retorno = $this->PDO->prepare('INSERT INTO clientes (nome, telefone) values (:nome, :telefone)');
        $retorno->bindParam(':nome',$nome);
        $retorno->bindParam(':telefone',$telefone);
        $this->PDO->beginTransaction();
        $retorno->execute();
        $idGerado = $this->PDO->lastInsertId();
        $this->PDO->commit();
        return $idGerado;
    }

    //Novo conteúdo 3 - nome função, receber parâmetro, retornar this->observacoes
    public function RetornaObservacoes($idClientes) {
        $this->LerObservacoes($idClientes);
        return $this->observacoes;
    }
}
